libmoosex-role-strict-perl_0.5-1_all.deb


Advertisement

Description

libmoosex-role-strict-perl - module for using strict 'roles' with Moose

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmoosex-role-strict-perl
Package version: 0.5
Package release: 1
Package architecture: all
Package type: deb
Installed size: 66 B
Download size: 10.45 KB
Official Mirror: ftp.br.debian.org
When using Moose::Role, a class which provides a method a role provides will silently override that method. This can cause strange, hard-to-debug errors when the role's methods are not called. Simple use MooseX::Role::Strict instead of Moose::Role and overriding a role's method becomes a composition-time failure. WARNING: this is ALPHA code. More features to be added later.

Alternatives

Requires

    Download

    Source package: libmoosex-role-strict-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmoosex-role-strict-perl deb package:
      # sudo apt-get install libmoosex-role-strict-perl

    Files

    • /usr/share/doc/libmoosex-role-strict-perl/changelog.Debian.gz
    • /usr/share/doc/libmoosex-role-strict-perl/changelog.gz
    • /usr/share/doc/libmoosex-role-strict-perl/copyright
    • /usr/share/man/man3/MooseX::Meta::Role::Strict.3pm.gz
    • /usr/share/man/man3/MooseX::Role::Strict.3pm.gz
    • /usr/share/perl5/MooseX/Meta/Role/Strict.pm
    • /usr/share/perl5/MooseX/Role/Strict.pm

    Changelog

    2013-05-15 - Oleg Gashev <oleg@gashev.net> libmoosex-role-strict-perl (0.5-1) unstable; urgency=low * Initial Release (Closes: #708571)

    Advertisement
    Advertisement